Katello - Bug #27570

Rebuild RHELS8 with Appstream kickstart repo fails to install redhat-Isb-core and wget packages
08/09/2019 07:53 AM - Marek Hulan

Status: Rejected

Priority: Normal

Assignee:

Category:

Target version: Katello Recycle Bin

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1720668 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1720668

Description of problem:
When rebuild RHEL8 again after the first build , it fails to install redhat-Isb-core and wget packages.

Version-Release number of selected component (if applicable):
Satellite 6.5

How reproducible:
100%

Steps to Reproduce:

1. Add the following repositories to the used content-view for provisioning and publish/promote it
Red Hat Enterprise Linux 8 for x86_64 - AppStream Kickstart x86_64 8

Red Hat Enterprise Linux 8 for x86_64 - AppStream RPMs x86_64 8

Red Hat Enterprise Linux 8 for x86_64 - BaseOS RPMs x86_64 8

Red Hat Satellite Tools 6.5 for RHEL 8 x86_64 RPMs x86_64

2.Build the RHEL8 machine.

This will add the following line to the provisioning template:

repo --name Red_Hat_Enterprise_Linux_8_for_x86_64_- AppStream_Kickstart_x86_64_8 --baseurl
http://[SAT-NAME]/pulp/repos/Dorganization/Library/RHEL8-Provisioning/content/dist/rhel8/8/x86_64/appstream/kickstart/

3. After the rebuild is finished, try to rebuild the machine again.

Actual results:

1. The following line is now added to the provisioning template :

repo --name Red_Hat_Enterprise_Linux_8 for_x86_64_-_ AppStream_Kickstart x86_64_8 --baseurl
http://[SAT-NAME]/pulp/repos/Dorganization/Library/RHEL8-Provisioning/content/dist/rhel8/8/x86_64/appstream/kickstart/
2. Fails on redhat-Isb-core and wget packages installation

Expected results:
Not to fail

Additional info:

Workaround has been applied by the customer by cloning the original template and hard-coded the missing line on it and use it
instead of the original template.

Related issues:
Related to Katello - Bug #25284: Include additional repo(s) for provisioning Closed

History

#1 - 08/09/2019 08:51 AM - Marek Hulan
https://bugzilla.redhat.com/show_bug.cgi?id=1720668
http://[SAT-NAME]/pulp/repos/Dorganization/Library/RHEL8-Provisioning/content/dist/rhel8/8/x86_64/appstream/kickstart/
http://[SAT-NAME]/pulp/repos/Dorganization/Library/RHEL8-Provisioning/content/dist/rhel8/8/x86_64/appstream/kickstart/

- Related to Bug #25284: Include additional repo(s) for provisioning added

#2 - 08/09/2019 08:51 AM - Marek Hulan
- Project changed from Foreman to Katello

- Subject changed from Rebuild RHEL8 with Appstream kickstart repo fails to install redhat-Isb-core and wget packages
to Rebuild RHELS8 with Appstream kickstart repo fails to install redhat-Isb-core and wget packages

- Category deleted (Unattended installations)

#3 - 08/14/2019 05:55 PM - Chris Roberts
- Category set to 215
- Target version set to Katello 3.14.0

- Triaged changed from No to Yes

#4 - 01/29/2020 06:48 PM - Jonathon Turel
- Target version changed from Katello 3.14.0 to Katello Recycle Bin

- Status changed from New to Rejected

See BZ for updates
